searchNodes=[{"ref":"FastRGC.html","title":"FastRGC","type":"module","doc":"Fast Reverse geocoding for china region, and based on city-level. Usage To prepare lookup by latitude and longitude, you need parse database first and hold the parsed object for later usage: iex(1)&gt; {:ok, database} = FastRGC.load() then lookup by latitude and longitude pair: iex(2)&gt; FastRGC.lookup(database, %{lat: 39, lng: 116}) %{ &quot;adcode&quot; =&gt; &quot;130632&quot;, &quot;center&quot; =&gt; &quot;115.931979,38.929912&quot;, &quot;name&quot; =&gt; &quot;安新县&quot;, &quot;path&quot; =&gt; &quot;中华人民共和国,河北省,保定市,安新县&quot; } if coordinate is outside of china, nil will be returned by lookup/2 function. iex(3)&gt; FastRGC.lookup(database, %{lat: 39, lng: 200}) nil"},{"ref":"FastRGC.html#load/0","title":"FastRGC.load/0","type":"function","doc":""},{"ref":"FastRGC.html#lookup/2","title":"FastRGC.lookup/2","type":"function","doc":""},{"ref":"FastRGC.html#lookup_index/3","title":"FastRGC.lookup_index/3","type":"function","doc":""},{"ref":"FastRGC.html#lookup_meta/1","title":"FastRGC.lookup_meta/1","type":"function","doc":""},{"ref":"readme.html","title":"FastRGC","type":"extras","doc":"FastRGC Fast reverse geocoding at city level. it&#39;s inspired by reversegeocode, we implement same policy in elixir only for china region."},{"ref":"readme.html#usage","title":"FastRGC - Usage","type":"extras","doc":"To prepare lookup by latitude and longitude, you need parse database first and hold the parsed object for later usage: iex(1)&gt; {:ok, database} = FastRGC.load() then lookup by latitude and longitude pair: iex(2)&gt; FastRGC.lookup(database, %{lat: 39, lng: 116}) %{ &quot;adcode&quot; =&gt; &quot;130632&quot;, &quot;center&quot; =&gt; &quot;115.931979,38.929912&quot;, &quot;name&quot; =&gt; &quot;安新县&quot;, &quot;path&quot; =&gt; &quot;中华人民共和国,河北省,保定市,安新县&quot; } if coordinate is outside of china, nil will be returned by lookup/2 function. iex(3)&gt; FastRGC.lookup(database, %{lat: 39, lng: 200}) nil"},{"ref":"readme.html#installation","title":"FastRGC - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding ex_fast_rgc to your list of dependencies in mix.exs: def deps do [ {:ex_fast_rgc, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#format-of-database","title":"FastRGC - Format of Database","type":"extras","doc":"The file format is designed to support reading read every bits directly without any decompress or query, and this binary decrease final file size from 44MB to ~1MB. Orignal data is splited to 12 * 12 block, and only have four types of blocks: Type 0, only one id in this block Type 1, only two ids in this block Type 2, three or four ids in this block Type 3, four above ids in this block &lt;HEADER&gt; 4 Bytes - SDB\\01 &lt;0x53444201&gt; 2 Bytes - width of the map in pixel 2 Bytes - height of the map in pixel 4 Bytes - width of the map in degree 4 Bytes - height of the map in degree 4 Bytes - longitude offset of the map in degree 4 Bytes - latitude offset of the map in degree 2 Bytes - tile size 2 Bytes - y, div(height, tile_size) 2 Bytes - x, div(width, tile_size) 2 Bytes - delta, offset of id number 2 Bytes - c0, count of type 0 block 2 Bytes - c1, count of type 1 block 2 Bytes - c2, count of type 2 block 2 Bytes - c3, count of type 3 block &lt;INDEX&gt; x * y * 2 Bytes - query map for every tiled block &lt;BODY&gt; c1 * (2 * 2 + n * n / 8) Bytes - Type1 Block Data c2 * (2 * 4 + 2 * n * n / 8) Bytes - Type2 Block Data c3 * (2 * n * n) Bytes - Type3 Block Data &lt;BODY&gt; x bytes for each row (run-length ecoding) Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/ex_fast_rgc."},{"ref":"changelog.html","title":"CHANGELOG","type":"extras","doc":""},{"ref":"changelog.html#0-0-1-july-11-2019","title":"CHANGELOG - 0.0.1 (July 11, 2019)","type":"extras","doc":"first open source version, based on Yao&#39;s new designed database format."}]